POST api/sticker/getAll

Request Information

URI Parameters

None.

Body Parameters

SearchParamsViewModel
NameDescriptionTypeAdditional information
active

boolean

None.

firstElementIndex

integer

None.

id

globally unique identifier

None.

site_id

globally unique identifier

None.

keywords

string

None.

numberOfElements

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "firstElementIndex": 1,
  "id": "1482a828-e79f-48b8-85a7-36258e4061f5",
  "site_id": "7f00658b-2e1c-4036-80d5-701e5989ac68",
  "keywords": "sample string 1",
  "numberOfElements": 1
}

application/xml, text/xml

Sample:
<searchParamsViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <firstElementIndex>1</firstElementIndex>
  <id>1482a828-e79f-48b8-85a7-36258e4061f5</id>
  <keywords>sample string 1</keywords>
  <numberOfElements>1</numberOfElements>
  <site_id>7f00658b-2e1c-4036-80d5-701e5989ac68</site_id>
</searchParamsViewModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'SearchParamsViewModel'.

Response Information

Resource Description

PaginationResultViewModelOfListOfStickerViewModel
NameDescriptionTypeAdditional information
data

Collection of StickerViewModel

None.

totalRecord

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "data": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "35b6be7b-b03e-42ad-9441-40bd19c35353",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "ac66548b-3142-4487-bd2d-e875bf1d8998",
          "contractItem_ID": "0d4880cd-782e-4ed8-8041-95b37cbd42fa",
          "departement_ID": "e359f289-5153-45cb-92b1-ed8634809051",
          "departmentItem_ID": "eeaa6eae-faff-406e-b677-c4a0a7d3a41d",
          "iD": "bb79aed0-d77e-4ebb-8383-8bf4192d5864",
          "site_ID": "f68dbaad-6159-4ae8-890d-b2b90a267333",
          "siteCustomer_ID": "5394bf27-12af-4f38-af3f-1d335ebfd4c0",
          "sticker_ID": "2cc2319c-e979-4010-b94d-f62b9c792612"
        },
        {
          "active": true,
          "contract_ID": "ac66548b-3142-4487-bd2d-e875bf1d8998",
          "contractItem_ID": "0d4880cd-782e-4ed8-8041-95b37cbd42fa",
          "departement_ID": "e359f289-5153-45cb-92b1-ed8634809051",
          "departmentItem_ID": "eeaa6eae-faff-406e-b677-c4a0a7d3a41d",
          "iD": "bb79aed0-d77e-4ebb-8383-8bf4192d5864",
          "site_ID": "f68dbaad-6159-4ae8-890d-b2b90a267333",
          "siteCustomer_ID": "5394bf27-12af-4f38-af3f-1d335ebfd4c0",
          "sticker_ID": "2cc2319c-e979-4010-b94d-f62b9c792612"
        }
      ],
      "details": [
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "b094a254-9210-49ac-98d1-fcbfcadce856",
            "isStatic": true,
            "stickerType_ID": "8f0d50a9-bc8a-4b7e-99f5-76371f1b2593",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "23e6259c-ab98-4aee-bb7c-5f070d800be3",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "4a0ea460-da78-4974-a816-59d768ddceec",
          "stickerField_ID": "1c04f2f6-3b05-4138-88a1-755eb2a62bf1",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        },
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "b094a254-9210-49ac-98d1-fcbfcadce856",
            "isStatic": true,
            "stickerType_ID": "8f0d50a9-bc8a-4b7e-99f5-76371f1b2593",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "23e6259c-ab98-4aee-bb7c-5f070d800be3",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "4a0ea460-da78-4974-a816-59d768ddceec",
          "stickerField_ID": "1c04f2f6-3b05-4138-88a1-755eb2a62bf1",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        }
      ],
      "active": true,
      "code": "sample string 2",
      "id": "ba056647-371c-4b1e-ada9-cfe0733f51f2",
      "stickerType_ID": "2c92fc40-24f9-4053-a663-4358261a6678",
      "stickerRelation_IDs": [
        "952b79eb-557a-426a-b1a1-4d22a35fd170",
        "575b8929-7fe0-4f5a-9c22-e1df9496730e"
      ],
      "site_ID": "4af4b1ad-a7c9-42a9-9ce0-de2947f6be2c"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "35b6be7b-b03e-42ad-9441-40bd19c35353",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "ac66548b-3142-4487-bd2d-e875bf1d8998",
          "contractItem_ID": "0d4880cd-782e-4ed8-8041-95b37cbd42fa",
          "departement_ID": "e359f289-5153-45cb-92b1-ed8634809051",
          "departmentItem_ID": "eeaa6eae-faff-406e-b677-c4a0a7d3a41d",
          "iD": "bb79aed0-d77e-4ebb-8383-8bf4192d5864",
          "site_ID": "f68dbaad-6159-4ae8-890d-b2b90a267333",
          "siteCustomer_ID": "5394bf27-12af-4f38-af3f-1d335ebfd4c0",
          "sticker_ID": "2cc2319c-e979-4010-b94d-f62b9c792612"
        },
        {
          "active": true,
          "contract_ID": "ac66548b-3142-4487-bd2d-e875bf1d8998",
          "contractItem_ID": "0d4880cd-782e-4ed8-8041-95b37cbd42fa",
          "departement_ID": "e359f289-5153-45cb-92b1-ed8634809051",
          "departmentItem_ID": "eeaa6eae-faff-406e-b677-c4a0a7d3a41d",
          "iD": "bb79aed0-d77e-4ebb-8383-8bf4192d5864",
          "site_ID": "f68dbaad-6159-4ae8-890d-b2b90a267333",
          "siteCustomer_ID": "5394bf27-12af-4f38-af3f-1d335ebfd4c0",
          "sticker_ID": "2cc2319c-e979-4010-b94d-f62b9c792612"
        }
      ],
      "details": [
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "b094a254-9210-49ac-98d1-fcbfcadce856",
            "isStatic": true,
            "stickerType_ID": "8f0d50a9-bc8a-4b7e-99f5-76371f1b2593",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "23e6259c-ab98-4aee-bb7c-5f070d800be3",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "4a0ea460-da78-4974-a816-59d768ddceec",
          "stickerField_ID": "1c04f2f6-3b05-4138-88a1-755eb2a62bf1",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        },
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "b094a254-9210-49ac-98d1-fcbfcadce856",
            "isStatic": true,
            "stickerType_ID": "8f0d50a9-bc8a-4b7e-99f5-76371f1b2593",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "23e6259c-ab98-4aee-bb7c-5f070d800be3",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "4a0ea460-da78-4974-a816-59d768ddceec",
          "stickerField_ID": "1c04f2f6-3b05-4138-88a1-755eb2a62bf1",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        }
      ],
      "active": true,
      "code": "sample string 2",
      "id": "ba056647-371c-4b1e-ada9-cfe0733f51f2",
      "stickerType_ID": "2c92fc40-24f9-4053-a663-4358261a6678",
      "stickerRelation_IDs": [
        "952b79eb-557a-426a-b1a1-4d22a35fd170",
        "575b8929-7fe0-4f5a-9c22-e1df9496730e"
      ],
      "site_ID": "4af4b1ad-a7c9-42a9-9ce0-de2947f6be2c"
    }
  ],
  "totalRecord": 1
}

application/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'application/xml'. Exception message: Object graph for type 'EntityModel.StickerViewModel' contains cycles and cannot be serialized if reference tracking is disabled.

text/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'text/xml'. Exception message: Object graph for type 'EntityModel.StickerViewModel' contains cycles and cannot be serialized if reference tracking is disabled.